------------------------------------------------------------------------------------
--Name:  	qixi2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-07-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(185, 107)
local Player_1 = CppScriptMgr:AddSimplePlayer(29280, 185, 107, "DaleLord", 0, 0)
local npc_0 = CppScriptMgr:AddSimplePlayer(29764, 184, 110, "Cooer", 0, 0)
npc_0:SetDir(4)
CppScriptMgr:WaitMilSec(460)
MoveView(189, 110, 184, 105, 2, 33, 2000)
CppScriptMgr:WaitMilSec(540)
npc_0:Say("Can I grow taller, old man?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("So rude!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("You should call me mister!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetViewPosByCell(82, 140)
local Player_3 = CppScriptMgr:AddSimplePlayer(1056860, 82, 139, "WillieTushan", 0, 0)
Player_3:SetArmor(191675, 0, 1)
Player_3:SetHair(166, 1)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056246, 79, 141, "Vulpes", 0, 0)
Player_4:SetDir(5)
local Player_5 = CppScriptMgr:AddSimplePlayer(1056824, 82, 143, "FloraTushan", 0, 0)
Player_5:SetDir(4)
LaJin(256, 10, 10, 100)
CppScriptMgr:WaitMilSec(970)
Player_5:Say("Don`t be sad. Belle will definitely come back.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("Flora is right. We will find a way!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("You two spend every day together. How could you understand my pain...", 1500)
CppScriptMgr:WaitMilSec(500)
npc_0:SetPos(107, 98)
npc_0:SetDir(5)
CppScriptMgr:WaitMilSec(930)
Player_5:SetPos(110, 97)
CppScriptMgr:SetViewPosByCell(107, 98)
npc_0:Say("I am talented and young. Why am I still single?", 1500)
Player_5:SetDir(1)
CppScriptMgr:WaitMilSec(1490)
npc_0:Say("You are my best friend. Help me figure out the reason!", 1500)
CppScriptMgr:WaitMilSec(1000)
Player_5:Say("The timing hasn`t come yet. Be patient!", 1500)
CppScriptMgr:WaitMilSec(1500)